@import url("https://fonts.googleapis.com/css?family=Roboto|Dosis");


html, body {
    -webkit-text-size-adjust: none; 
}

html {
    font-family: 'Roboto', helvetica;
    font-size: 85%;
    color: darkgreen;
    line-height: 150%;
}

body {
    /* 4px boven-onder */
    margin: 4px 0px;
}

p {
    margin-top: 0;
    margin-bottom: 0.4em;
}

h1, h2, h3 {
    margin: 0;
    font-family: 'Dosis';
    font-weight: normal;
    color: darkred;
}

h1 {
    margin-bottom: 0.3em;
    font-size: 1.5rem;
}

h2 {
    margin-bottom: .3em;
    font-size: 1.4rem;
}

h3 {
    margin-top: .5em;
    margin-bottom: .3em;
    font-size: 1.3rem;
}

a {
    color: inherit;
    /* color: steelblue; */
    text-decoration: none;
}

ul {
    margin: 0;
}

button, .knop {
    padding: 4px 8px;
    /* Zorg ervoor dat knop zelfde lettertype als body heeft */
    font: inherit;
    /* Voorkom dat a-link andere kleur heeft */
    color: inherit;
    background-color: ivory;
    border: 1px solid;
    border-bottom-width: 2px;
    border-right-width: 2px;
    border-radius: 6px;
    border-color: gold;
    cursor: pointer;
}

button:hover, .knop:hover {
    border-bottom-width: 3px;
    border-right-width: 3px;
}

button:active, .knop:active {
    background-color: gold;
}

:focus {
    /* Geen rand rond inputveld of -knop */
    outline: 0;
}

/* Standaard tabelstijl */

table { 
    border-collapse: collapse;
    font-size: .95rem;
    border-style: solid;
    border-width: 3px 1px;
}

tfoot {
    border-top: double;
}

th, td {
    border: 1px solid;
    padding: 2px 6px;
}

th {
    background-color: rgba(250, 220, 0, 0.3);     
    font-weight: normal;
    border-bottom: 2px solid;
}

/* Border-color moet na andere border-styling 
Alle randen in zelfde kleur */
table, thead, tfoot, th, td {
    border-color: yellowgreen;
}

#wrapper {
    width: 1000px;
    margin: auto;
    background-color: rgba(255, 215, 0, .6);
    border: solid 1px;
    border-bottom-width: 3px;
    border-radius: 10px;
    border-color: gold;
}

#hoofding h1 {
    margin-bottom: 0;
    padding: 0.4em 0.6em;
    font-size: 1.6rem;
}

#hoofdmenu {
    height: 25px;
}

#hoofdmenu ul {
    width: 100%;
    padding: 0px;
    float: left;
    background-color: yellowgreen;
    margin-top: -1px;
    border-top: thin solid;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    border-bottom: thin solid;
    border-color: yellowgreen;
}

#hoofdmenu ul li {
    display: inline;
}

#hoofdmenu ul li a {
    float: left;
    text-decoration: none;
    color: darkgreen;
    padding: 4px 12px;
    background-color: yellowgreen;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

#hoofdmenu ul li a:visited {
    color: darkgreen;
}

#hoofdmenu ul li a:hover {
    background-color: greenyellow;
}

#hoofdmenu ul li .current {
    background-color: white;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

#kern {
    margin: 0 8px;
    background-color: white;
    border: 1px solid;
    border-radius: 8px;
    border-bottom-width: 2px;
    border-color: yellowgreen;
}

#kern_links {
    width: 680px;
    float: left;
    border-right: 1px solid;
    border-color: yellowgreen;
    min-height: 320px;
}

#kern_rechts {
    margin-left: 680px; /* Moet gelijk zijn aan breedte van kern_links */
    /* 	border-left: 1px solid lightgray; Moet gelijk zijn aan border-right van kern_links */
    /*  border-left geeft niet het gewenste effect in sommige browsers... */
    /* 2023-02 We proberen toch nog eens: */
    border-left: 1px solid;
    border-color: yellowgreen;
}

#hoofdinhoud, #inhoud_zijbalk {
    padding: 16px;
}

#voettekst {
    color: darkred;
    padding: .3rem 1.0rem;
    font-size: 0.9rem;
    text-align: center;
}


/* Peloton en selecties */

.team {
    float: left;
    width: 300px;
    margin: 10px;
    margin-top: 0px;
    background-color: ivory;
    border: 1px solid; 
    border-color: gold;
    border-bottom-width: 2px;
    border-radius: 6px;
}

.team_naam {
    margin: -1px;
    padding: 0.2em 0.6em;
    color: darkred;
    background: rgba(250, 220, 0, 0.50);
    border: 1px solid; 
    border-bottom: 0;
    border-radius: 6px 6px 0px 0px;
    border-color: inherit;

}

.team_renners {
    margin: 0.4em;
    padding-left: 2.2em;
}

.team_renner, .eindsel_renner {
    padding-left: 0.4em;
    padding-right: 0.4em;
}

.team_renner:hover {
    border: 1px solid lightgray;
    border-radius: 4px;
    cursor: pointer;
}


.insel {
    background-color: #bff442;
    border-radius: 4px;
}

.team_totalen {
    border-top: 1px solid;
    border-color: inherit;
    text-align: right;
    padding: 4px 10px;
}

.infopaneel {
    margin-bottom: 10px;
    border: 1px solid;
    border-bottom-width: 2px;
    border-radius: 6px; 
    border-color: gold;
    text-align: center;
    padding: 4px;
}

.status_groen {
    color: darkgreen;
    border-color: yellowgreen;
}

.status_rood {
    color: darkred;
    border-color: tomato;
}

#presel_renners {
    width: 260px;
    margin-top: 20px;
}

#ploeg_titel {
    cursor: pointer;
}

/* Standaard input */
input {
    padding: 4px;
    border: none;
    border: 1px solid;
    border-radius: 4px;
    border-color: yellowgreen;
}

/* Individueel Spelerbeheer */

input.spelerbeheer {
    width: 300px;
}

input.token {
    width: 60px;
    text-align: center;
    font-family: monospace;
    font-weight: bold;
    background-color: rgba(255, 215, 0, .6);
}

/* Tree styling (voor klassementen) */
table.root {
    border: none;
    width: 98%;
    margin: auto;
    font-size: inherit;
}

td.plus, td.l, td.sl, td.tc {
    padding: 2px 4px 2px 2px;
    border: none;
    border-bottom: 1px solid;
    border-color: gold;
    cursor: inherit;
}

td.plus {
    cursor: pointer;
}


/* De klassementen */

.klassement_wrapper {
    width: 440px;
    margin: auto;
}

.klassement_titel {
    padding-bottom: 2px;
    padding-left: 2px;
    border-bottom: 1px solid;
    border-color: currentColor;
}


table.renner {
    margin: auto;
    margin-bottom: 4px;
    min-width: 80%;
    border: none;
}

th.renner, td.renner {
    padding: 0px 4px 0px 8px;
}

/*
th.renner {
border-top: 2px solid;
border-color: gold;
}
 */

.kost, .score {
    text-align: right;
    width: 40px;
}

.kost {
    color: firebrick;
}

.score {
    color: green; 
}


/* Het forum */

div.comment_show {
    text-align: right;
}

table.comment_show {
    width: 100%;
    margin-top: 12px;
    text-align: left;
    font-size: inherit;
    line-height: 130%;
    border: none;
    border-top: 1px solid;
    border-color: yellowgreen;
}

.cmt_auteur, .cmt_tekst {
    border: none;
}

td.cmt_auteur {
    min-width: 72px;
    border-bottom: 1px solid; 
    border-color: yellowgreen;
    text-align: right;
    vertical-align: top;
    font-style: oblique;
}

td.cmt_tekst {
    min-width: 500px;
    border-bottom: 1px solid; 
    border-color: yellowgreen;
    text-align: left;
    vertical-align: top;
    padding: 2px 6px;
}

td.radio {
    background-color: rgba(154, 205, 50, .1);
}

textarea.cmt {
    display: block;
    box-sizing: border-box;
    width: 100%;
    /* background-color: ghostwhite; */
    border: 1px solid;
    border-radius: 6px;
    border-color: gold;
    padding: 4px 8px;
}

